#!/bin/sh
clear
UNIT=`cat /proc/driver/hw_detect` 
if [ "$UNIT" = "CMC-HP-BASIC" ]; then
	ifconfig eth0 down
	echo "Updating..."
	rm /home/pu2/cmc_main
	rm /home/pu2/rs422
	rm /home/pu2/EVENT.LOGS
	rm /home/pu2/web/*.cgi
	rm /home/pu2/web/*.gif
	rm /home/pu2/web/*.jpg
	rm /home/pu2/web/*.html
	rm /home/usr/lib/libnet*
	cp /home/cmc/upload/*.tgz /home/cmc/download
	cd /jffs2
	tar -zxvf /home/cmc/download/update590.04.1.tgz
	rm /home/cmc/upload/update590.04.1.tgz
	tar -zxvf /home/cmc/download/update590.04.2.tgz
	rm /home/cmc/upload/update590.04.2.tgz
	echo "Firmware V5.90.04" > /home/cmc/upload/update.tmp
	chmod +r /home/pu2/web/images/*
	chown admin /home/cmc/download
	chgrp ftp /home/cmc/download
else
	rm /home/cmc/upload/update*.tgz
	echo "Update not matching for Unit, no Basic-CMC"
	echo "Update not matching, no Basic-CMC" > /home/cmc/upload/update.tmp
fi